Name:           perl-Net-CIDR-Lite
Version:        0.21
Release:        1%{?dist}
Summary:        Net::CIDR::Lite Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CIDR-Lite/
Source0:        http://www.cpan.org/authors/id/D/DO/DOUGW/Net-CIDR-Lite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# For "make test".
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Faster alternative to Net::CIDR when merging a large number of CIDR
address ranges. Works for IPv4 and IPv6 addresses.

%prep
%setup -q -n Net-CIDR-Lite-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::CIDR::Lite.3pm*

%changelog
* Fri Jun  2 2010 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21
  - Fix spanner clean() docs (CPAN RT#14535)
  - Undef dereference with empty object (CPAN RT#25898)
  - Add short_list_range() method (CPAN RT#30777)
  - clean() or list() before add() causes error (CPAN RT#48308)
  - spanner add() did not accept non-object (CPAN RT#50042)
  - "::" not accepted as valid IPv6 address (CPAN RT#52571)
- Don't create license files

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.20-3
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.20-2
- Fix find option order.

* Tue Mar 21 2006 Steven Pritchard <steve@kspei.com> 0.20-1
- Update to 0.20
- Use canonical URL

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.18-3
- Minor spec cleanup
- Add COPYING and Artistic

* Mon Aug 01 2005 Steven Pritchard <steve@kspei.com> 0.18-2
- Add BR Test::Pod and Test::Pod::Coverage for make test

* Fri Jul 15 2005 Steven Pritchard <steve@kspei.com> 0.18-1
- Specfile autogenerated.
